BaroclineBarocline
GaugeFlood Data

getFloodDataFromCoordinates

Returns flood information for the supplied coordinates.

GET
/v3/flood/coordinates

Returns flood information for the supplied coordinates in JSON. The coordinates will be returned as part of the response.

Query Parameters

latitude*number

The requested latitude

Formatdouble
longitude*number

The requested longitude

Formatdouble
userKey*string

The user key

Response Body

application/json

curl -X GET "https://gauge.atheniumanalytics.com/v3/flood/coordinates?latitude=0.1&longitude=0.1&userKey=string"
{
  "Latitude": 0.1,
  "Longitude": 0.1,
  "Is location withing CBRA Boundary": "string",
  "Flood Hazard Zone": "string",
  "Sub Type": "string",
  "Static Base Flood Elevation": "string",
  "River Flood Risk Score": "string",
  "Fluvial Inundation Level for 50 year Floods": "string",
  "Fluvial Inundation Level for 100 year Floods": "string",
  "Fluvial Inundation Level for 500 year Floods": "string",
  "Fluvial Inundation Level for 1000 year Floods": "string",
  "Storm Surge Risk Score": "string",
  "Distance To Flood Hazard Area": "string",
  "Distance To Coastline": "string",
  "Is Location Protected By Levee": true,
  "Height Above Water Body": "string",
  "Distance To Nearest Water Body": "string",
  "Type of Waterbody": "string",
  "Height Above Flowing Water": "string",
  "Distance To Nearest Flowing Water": "string",
  "Type of Flowing Water": "string",
  "Elevation of the Property": "string",
  "Property Height Above the coastline": "string",
  "Surge Height C0": "string",
  "Surge Height C1": "string",
  "Surge Height C2": "string",
  "Surge Height C3": "string",
  "Surge Height C4": "string",
  "Surge Height C5": "string",
  "Highest Elevation Within 250 Ft": "string",
  "Lowest Elevation Within 250 Ft": "string",
  "Hurricane Frequency Score for Cat 1 and Cat 2": 0.1,
  "Hurricane Frequency Score for Cat 3, Cat 4 and Cat 5": 0.1,
  "Direct Runoff for 50 year Flood": "string",
  "Direct Runoff for 100 year Flood": "string",
  "Direct Runoff for 500 year Flood": "string",
  "Direct Runoff for 1000 year Flood": "string",
  "Soil Runoff Potential": "string",
  "Land Use/Cover Type": "string",
  "Flash Flood Risk Score": "string"
}
Empty
Empty
Empty